Name:           jetty-test-helper
Version:        3.1
Release:        4%{?dist}
# header-template.txt documents dual licensing
License:        ASL 2.0 or EPL
Summary:        Jetty toolchain test helper
URL:            https://github.com/eclipse/jetty.toolchain
Source0:        https://github.com/eclipse/jetty.toolchain/archive/%{name}-%{version}.tar.gz
# https://github.com/eclipse/jetty.toolchain/issues/5
Source1:        https://github.com/eclipse/jetty.project/blob/jetty-9.3.x/LICENSE-eplv10-aslv20.html
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain:pom:)
BuildRequires:  mvn(org.hamcrest:hamcrest-library)

%description
Unit Testing Support for Jetty (common classes for some unit tests).

%package        javadoc
Summary:        Javadoc %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n jetty.toolchain-%{name}-%{version}/%{name}

find -name '*.?ar' -delete
find -name '*.class' -delete

cp %{SOURCE1} .

%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-license-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%license LICENSE-eplv10-aslv20.html

%files javadoc -f .mfiles-javadoc
%license LICENSE-eplv10-aslv20.html

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 07 2017 Michael Simacek <msimacek@redhat.com> - 3.1-3
- Remove useless plugins

* Thu Sep 22 2016 Michael Simacek <msimacek@redhat.com> - 3.1-2
- Review fixes

* Tue Sep 20 2016 Michael Simacek <msimacek@redhat.com> - 3.1-1
- Initial packaging
